commit:     3ba96f893fe3d245d76283e9f4fee235b10b0f18
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Wed Jan  6 07:25:48 2016 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Wed Jan  6 07:25:48 2016 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=3ba96f89

sci-chemistry/openbabel-perl: Respect CXXFLAGS

Package-Manager: portage-2.2.26
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 sci-chemistry/openbabel-perl/metadata.xml               | 2 +-
 sci-chemistry/openbabel-perl/openbabel-perl-9999.ebuild | 8 ++++----
 2 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/sci-chemistry/openbabel-perl/metadata.xml 
b/sci-chemistry/openbabel-perl/metadata.xml
index c73e211..506b159 100644
--- a/sci-chemistry/openbabel-perl/metadata.xml
+++ b/sci-chemistry/openbabel-perl/metadata.xml
@@ -1,4 +1,4 @@
-<?xml version='1.0' encoding='UTF-8'?>
+<?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
   <herd>sci-chemistry</herd>

diff --git a/sci-chemistry/openbabel-perl/openbabel-perl-9999.ebuild 
b/sci-chemistry/openbabel-perl/openbabel-perl-9999.ebuild
index e61d472..ca1bc98 100644
--- a/sci-chemistry/openbabel-perl/openbabel-perl-9999.ebuild
+++ b/sci-chemistry/openbabel-perl/openbabel-perl-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -29,6 +29,7 @@ src_unpack() {
 src_configure() {
        perl_set_version
        local mycmakeargs=(
+               -DOPTIMIZE_NATIVE=OFF
                -DCMAKE_INSTALL_RPATH=
                -DBINDINGS_ONLY=ON
                
-DBABEL_SYSTEM_LIBRARY="${EPREFIX}"/usr/$(get_libdir)/libopenbabel.so
@@ -50,14 +51,13 @@ src_test() {
        cp \
                "${CMAKE_USE_DIR}/scripts/perl/OpenBabel.pm" \
                "${BUILD_DIR}/$(get_libdir)/Chemistry/"
-       for i in "${CMAKE_USE_DIR}"/scripts/perl/t/*
-       do
+       for i in "${CMAKE_USE_DIR}"/scripts/perl/t/*; do
                einfo "Running test: ${i}"
                perl -I"${BUILD_DIR}/$(get_libdir)" "${i}" || die
        done
 }
 
 src_install() {
-       cd "${BUILD_DIR}"
+       cd "${BUILD_DIR}" || die
        cmake -DCOMPONENT=bindings_perl -P cmake_install.cmake
 }

Reply via email to